### Function

# Gimp PlugIn directory_file

#### Declaration [src]

    GFile*
    gimp_plug_in_directory_file (
      const gchar* first_element,
      ...
    )

#### Description [src]

Returns a `GFile` in the plug-in directory, or the plug-in directory itself if `first_element` is `NULL`.

See also: gimp_plug_in_directory().

Available since: | 2.10

#### Parameters

`first_element` | `const gchar*`
| The first element of a path to a file in the plug-in directory, or `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| A `NULL` terminated list of the remaining elements of the path to the file.

#### Return value

Returns: | `GFile`

         a new `GFile` for the path, Free with g_object_unref().

| The caller of the function takes ownership of the data, and is responsible for freeing it.